#include "include/shadow_common.hlsli"

struct VSInput {
    float3 position : POSITION;
};

float4 VSMain(VSInput input) : SV_POSITION {
    const float4 worldPosition = mul(float4(input.position, 1.0f), cbWorld);

    return mul( worldPosition, cbLightViewProjection);
}